aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorAlex Riesen <raa.lkml@gmail.com>2008-04-28 23:09:55 +0200
committerJunio C Hamano <gitster@pobox.com>2008-04-28 15:03:28 -0700
commite42251a221e44c0bd8438019da1c307def9a4ca8 (patch)
treea1d2edccaf23cac5699458e1645515e18c4b6758 /git-clone.sh
parenta2b26acd7afb4d77d8844ccd681e993f25e75205 (diff)
downloadgit-e42251a221e44c0bd8438019da1c307def9a4ca8.tar.gz
git-e42251a221e44c0bd8438019da1c307def9a4ca8.tar.xz
Use "=" instead of "==" in condition as it is more portable
At least the dash from Ubuntu's /bin/sh says: test: 233: ==: unexpected operator Signed-off-by: Alex Riesen <raa.lkml@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 9e433c080..8c7fc7f63 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -219,7 +219,7 @@ fi
if test -n "$2"
then
dir="$2"
- test $# == 2 || die "excess parameter to git-clone"
+ test $# = 2 || die "excess parameter to git-clone"
else
# Derive one from the repository name
# Try using "humanish" part of source repo if user didn't specify one